# Howto Squid
Documentation officielle : <http://www.squid-cache.org/Versions/v3/3.4/cfgman/>

# Installation

Sous Debian Jessie, on peut installer Squid 3.4 :

```
# apt install squid3 squidclient
```

# Divers

### Infos à propos de Squid

```
$ squidclient -h HOST -p PORT cache_object://localhost/
$ squidclient -h HOST -p PORT mgr:info
```

En utilisation intensive, si vous obtenez un message '''WARNING! Your cache is running out of filedescriptors''',
c'est qu'il est nécessaire d'augmenter le maximum de fichiers ouverts... mais ce problème est normalement résolu
depuis Debian Lenny où l'on trouve un '''ulimit -n 65535''' dans le script d'init (c'était à ajouter en ''Etch'').

### Vérification de la configuration avant un start ou un reload :

```
# squid3 -k parse
```

### Résolution DNS

Squid "cache" les nameserver de /etc/resolv.conf car il gère son propre resolver : <http://wiki.squid-cache.org/Features/Dnsserver>  
Voir aussi <https://www.jethrocarr.com/2014/07/05/funny-tasting-squid-resolver/>  
En conséquence, si vous changez votre /etc/resolv.conf vous devez recharger Squid !
